server:
  tomcat:
    uri-encoding: UTF-8
    threads:
      max: 1000
      min-spare: 30
    connection-timeout: 5000ms
  port: 8085
  servlet:
    context-path: /sanyi/oss
spring:
  config:
    import:
      -: "classpath:application.yml"
  application:
    name: @artifactId@
  cloud:
    loadbalancer:
      cache:
        enabled: false
    nacos:
      server-addr: ${nacos.host}
      username: ${nacos.username}
      password: ${nacos.password}
      discovery:
        server-addr: ${spring.cloud.nacos.server-addr}
        namespace: ${nacos.namespace}
        group: ${nacos.group}
        service: ${spring.application.name}
      config:
        server-addr: ${spring.cloud.nacos.server-addr}
        namespace: ${spring.cloud.nacos.discovery.namespace}
        group: ${nacos.group}
        file-extension: yaml
        refresh-enabled: true
        shared-configs:
          - dataId: application-common.${spring.cloud.nacos.config.file-extension}
            group: ${nacos.group}
            refresh: ${spring.cloud.nacos.config.refresh-enabled}
  profiles:
    active: @profiles.active@
